// Enum: ConverterType
// Kyoung Shin Park (Java Programming I)
public enum ConverterType {
	FAHRENHEIT_TO_CELSIUS(1),
	CELSIUS_TO_FAHRENHEIT(2);

	private final int type;
	ConverterType(int type) {
		this.type = type;
	}
		
	public int getType() {
		return type;
	}

	public static ConverterType valueOf(int value) {
		switch (value) { // switch
		case 1:	return FAHRENHEIT_TO_CELSIUS;
		case 2:	return CELSIUS_TO_FAHRENHEIT;
		default: return null;
		}
	}

	public static String[] names() {
        String[] names = new String[ConverterType.values().length];
        for (ConverterType t : ConverterType.values())
            names[t.ordinal()] = t.toString();
        return names;
    }
}