import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

//Class: TemperatureConverterFrame
//This program computes the Fahrenheit equivalent of a specific Celsius 
//using the formula F = (9/5)*C + 32 & C = (F - 32)*(5/9)
//Kyoung Shin Park (Java Programming I)
public class TemperatureConverterFrame extends JFrame implements ActionListener, KeyListener {

	JLabel label1 = new JLabel(" (C)"); // label1
	JLabel label2 = new JLabel("ȭ (F)"); // label2
	
	JTextField textfield1 = new JTextField(20); // textfield1
	JTextField textfield2 = new JTextField(20); // textfield2

	Icon upIcon = new ImageIcon("Stock-Index-Up-icon.png"); // icon1
	Icon downIcon = new ImageIcon("Stock-Index-Down-icon.png"); // icon2
 
	JButton button1 = new JButton(downIcon); // button1
	JButton button2 = new JButton(upIcon); // button2

	JPanel panel = new JPanel(); // panel
	JPanel panel1 = new JPanel(); // г ʱȭ
	JPanel panel2 = new JPanel(); // г ʱȭ
	JPanel panel3 = new JPanel(); // г ʱȭ
	
	public TemperatureConverterFrame() {
		super("µ ȯ Frame");

		// frame
		panel1.add(label1);
		panel1.add(textfield1);

		panel2.add(button1);
		panel2.add(button2);
		
		panel3.add(label2);
		panel3.add(textfield2);
		
		panel.add(panel1);
		panel.add(panel2);
		panel.add(panel3);
		add(panel);
		
		// event
		textfield1.addKeyListener(this);
		textfield2.addKeyListener(this);
		button1.addActionListener(this);
		button2.addActionListener(this);
	    
		setSize(350, 200);
		setResizable(false);
		setVisible(true);        
        
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}

    private void CelsiusToFahrenheit() {
		double tempC = Double.parseDouble(textfield1.getText());
		double tempF = TemperatureConverter.fromCelsiusToFahrenheit(tempC);
		textfield2.setText("" + tempF);
    }

    private void FahrenheitToCelsius()  {
		double tempF = Double.parseDouble(textfield2.getText());
		double tempC = TemperatureConverter.fromFahrenheitToCelsius(tempF);
		textfield1.setText("" + tempC);
    }
    
	public void actionPerformed(ActionEvent e) {
		JButton button = (JButton) e.getSource();
		if (button == button1) {
			CelsiusToFahrenheit();
		} else if (button == button2) {
			FahrenheitToCelsius();
		}			
	}
    
    public void keyTyped(KeyEvent e) {}
    public void keyReleased(KeyEvent e) {}
    public void keyPressed(KeyEvent e) {
    	int key = e.getKeyCode();
    	if (key == KeyEvent.VK_ENTER) {
    		Toolkit.getDefaultToolkit().beep(); 
    		System.out.println("ENTER pressed");
    		JTextField textfield = (JTextField) e.getSource();
    		if (textfield == textfield1) {
    			CelsiusToFahrenheit();
    		} else if (textfield == textfield2) {
    			FahrenheitToCelsius();
    		}
    	}
    }

	public static void main(String[] args) {
		new TemperatureConverterFrame();
	}
}